Package jnr.constants.platform

# Enum Local

java.lang.Object
java.lang.Enum<Local>
jnr.constants.platform.Local

All Implemented Interfaces:
  `Serializable`, `Comparable<Local>`, `java.lang.constant.Constable`, `Constant`

public enum Local extends Enum<Local> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__UNKNOWN_CONSTANT__`
`LOCAL_CONNWAIT`
`LOCAL_CREDS`
`LOCAL_PEERCRED`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final String`
`description()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Local`
`valueOf(long value)`
Returns the enum constant of this type with the specified name.
`static Local`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Local[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### LOCAL_PEERCRED

public static final Local LOCAL_PEERCRED

### LOCAL_CREDS

public static final Local LOCAL_CREDS

### LOCAL_CONNWAIT

public static final Local LOCAL_CONNWAIT

### __UNKNOWN_CONSTANT__

public static final Local __UNKNOWN_CONSTANT__

## Method Details

### values

public static Local[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Local valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### description

public final String description()

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Local>`

### valueOf

public static Local valueOf(long value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null